SNEK(1)

NAME
snek - Snek Programming Language

SYNOPSIS
snek [--version|-v] [--help|-?] [--interactive|-i] [program.py]

DESCRIPTION
snek is a small Python-derivative suitable for embedded computers. This host version is largely designed to help test the Snek system and applications on larger machines

COMMAND LINE OPTIONS

--version or -v
    Reports the version number to stdout and then exits.

--help or -?
    Prints usage information to stdout and then exits.

--interactive or -i
    When a program is specified on the command line, enter interactive mode after executing that program.

USAGE
When a program is specified on the command line, snek runs it. Then, if the --interactive flag is passed, it enters interactive mode. Otherwise, it exits.

When no program is specified on the command line, snek enters interactive mode.

AUTHOR
Keith Packard